MultiChain users at risk of Getting Hacked, as Six Cross-Chain Tokens Experiences Vulnerability

MultiChain users at risk of Getting Hacked, as Six Cross-Chain Tokens Experiences Vulnerability

Multichain (previously Anyswap), a Cross-chain Router Protocol (CRP) that allows for on-chain asset interoperability, has warned its users that they might be at risk of getting hacked. To forestall this risk, users have been advised to revoke wallet permission for 6 tokens listed on the platform. Multichain directs users on…
Click here to read more

Source: CoinGape
Posted: 43 minutes ago